org.eclipse.ease.modules

## Class ModuleDefinition.ModuleDependency

- java.lang.Object
- - org.eclipse.ease.modules.ModuleDefinition.ModuleDependency

Enclosing class:
  ModuleDefinition

    public static class ModuleDefinition.ModuleDependency
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ModuleDependency(IConfigurationElement element)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ModuleDefinition` `getDefinition()`
`java.lang.String` `getId()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModuleDependency

    public ModuleDependency(IConfigurationElement element)

### Method Detail

#### getId

    public java.lang.String getId()

#### getDefinition

    public ModuleDefinition getDefinition()